| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
uhd::op_timeout Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::op_timeout:

## Public Member Functions
| op_timeout (const std::string &what)
unsigned | code (void) const override
op_timeout * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::rfnoc_error
| rfnoc_error (const std::string &what)
unsigned | code (void) const override
rfnoc_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Detailed Description

Gets thrown when a transaction with an RFNoC block times out (e.g., no ACK received)

## Constructor & Destructor Documentation

## ◆ op_timeout()

uhd::op_timeout::op_timeout | ( | const std::string & | what | ) |

## Member Function Documentation

## ◆ code()

unsigned uhd::op_timeout::code | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_clone()

op_timeout * uhd::op_timeout::dynamic_clone | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_throw()

void uhd::op_timeout::dynamic_throw | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp